/*
-----------------------------------------------------------------------------
 File: GameConstants.h

 Desc: These types don't belong in any particular file

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#ifndef _GameConstants_H_
#define _GameConstants_H_


const D3DXCOLOR NOTE_TYPE_TO_COLOR[NUM_NOTE_TYPES] = 
{ 
	D3DXCOLOR(1,0,0,1),	// red
	D3DXCOLOR(0,0,1,1),	// blue
	D3DXCOLOR(0,1,0,1),	// green
	D3DXCOLOR(1,1,0,1) 	// yellow
};

const float NOTE_TYPE_TO_BEAT[NUM_NOTE_TYPES] =
{ 
	1.0f,	// quarter notes
	1.0f/2,	// eighth notes
	1.0f/3,	// triplets
	1.0f/4,	// sixteenth notes
};

inline D3DXCOLOR GetNoteColorFromIndex( int iStepIndex )
{ 
	for( int t=0; t<NUM_NOTE_TYPES; t++ )
	{
		//if( IsNoteOfType( iStepIndex, (NoteType)t ) )
		//	return NOTE_TYPE_TO_COLOR[t];
	}
	return D3DXCOLOR(0.5f,0.5f,0.5f,1);
};


const D3DXCOLOR PLAYER_COLOR[NUM_PLAYERS] = 
{
	D3DXCOLOR(0.4f,1.0f,0.8f,1),	// sea green
	D3DXCOLOR(1.0f,0.5f,0.2f,1)		// orange
};


#endif