/*
-----------------------------------------------------------------------------
 File: GhostArrows.h

 Desc: A graphic displayed in the GhostArrows during Dancing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/


#ifndef _GhostArrows_H_
#define _GhostArrows_H_


#include "ActorFrame.h"
#include "GhostArrow.h"
#include "GhostArrowBright.h"
#include "HoldGhostArrow.h"
#include "GameTypes.h"
#include "Style.h"



class GhostArrows : public ActorFrame
{
public:
	GhostArrows();
	void Update( float fDeltaTime, float fSongBeat );
	virtual void RenderPrimitives();

	void Load( PlayerOptions po, Style style );
	
	void TapStep( int iCol, TapStepScore score, bool bBright );
	void HoldStep( int iCol );
	
protected:
	float m_fSongBeat;
	PlayerOptions m_PlayerOptions;
	Style	m_Style;

	GhostArrow			m_GhostArrows[MAX_NUM_COLUMNS];
	GhostArrowBright	m_GhostArrowsBright[MAX_NUM_COLUMNS];
	HoldGhostArrow		m_HoldGhostArrows[MAX_NUM_COLUMNS];
};

#endif
