/*
-----------------------------------------------------------------------------
 File: GranularityIndicator.h

 Desc: A graphic displayed in the GranularityIndicator during Dancing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/


#ifndef _GranularityIndicator_H_
#define _GranularityIndicator_H_


#include "GrayArrow.h"
#include "ActorFrame.h"
#include "Style.h"
#include "GameTypes.h"
#include "Sprite.h"
#include "Style.h"



class GranularityIndicator : public ActorFrame
{
public:
	GranularityIndicator();
	
	void Load( Style style );

	void PrevSnapMode();
	void NextSnapMode();

	NoteType GetSnapMode() { return m_NoteType; };

protected:
	void SnapModeChanged();

	Style	m_Style;

	NoteType	m_NoteType;		// snap to this note type
	Sprite		m_sprIndicators[2];	// left and right side
};

#endif