#include "stdafx.h"
/*
-----------------------------------------------------------------------------
 File: GrayArrows.h

 Desc: A graphic displayed in the GrayArrows during Dancing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "GrayArrows.h"
#include "RageUtil.h"
#include "ScreenDimensions.h"
#include "ThemeManager.h"
#include "ColorArrow.h"
#include "ArrowEffects.h"


GrayArrows::GrayArrows()
{

}

void GrayArrows::Load( PlayerOptions po, Style style )
{
	m_PlayerOptions = po;
	m_Style = style;

	// init arrow rotations
	for( int c=0; c<m_Style.m_iNumColumns; c++ ) 
	{
		m_GrayArrow[c].SetRotation( style.m_ColumnToRotation[c] );
	}
	
}

void GrayArrows::Update( float fDeltaTime, float fSongBeat )
{
	m_fSongBeat = fSongBeat;

	for( int i=0; i<m_Style.m_iNumColumns; i++ )
	{
		m_GrayArrow[i].Update( fDeltaTime );
		m_GrayArrow[i].SetBeat( fSongBeat );
	}
}

void GrayArrows::RenderPrimitives()
{
	for( int c=0; c<m_Style.m_iNumColumns; c++ ) 
	{
		// set arrow X
		float fX = ArrowGetXPos( m_PlayerOptions, m_Style, c, 0, m_fSongBeat );
		m_GrayArrow[c].SetX( fX );


		m_GrayArrow[c].Draw();
	}

}

void GrayArrows::Step( int iCol )
{
	ASSERT( iCol >= 0  &&  iCol < m_Style.m_iNumColumns );
	m_GrayArrow[iCol].Step();
}
