/*
-----------------------------------------------------------------------------
 File: GrayArrows.h

 Desc: A graphic displayed in the GrayArrows during Dancing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/


#ifndef _GrayArrows_H_
#define _GrayArrows_H_


#include "GrayArrow.h"
#include "ActorFrame.h"
#include "Style.h"
#include "GameTypes.h"



class GrayArrows : public ActorFrame
{
public:
	GrayArrows();
	virtual void Update( float fDeltaTime, float fSongBeat );
	virtual void RenderPrimitives();

	void Load( PlayerOptions po, Style style );

	void Step( int iCol );
	
protected:
	float m_fSongBeat;
	PlayerOptions m_PlayerOptions;
	Style	m_Style;

	GrayArrow	m_GrayArrow[MAX_NUM_COLUMNS];
};

#endif