/*
-----------------------------------------------------------------------------
 File: RageSoundStream.h

 Desc: streaming music support.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#ifndef _RageSoundStream_H_
#define _RageSoundStream_H_


#include "RageSound.h"


class RageSoundStream
{
public:
	RageSoundStream();
	~RageSoundStream();

	virtual void Update( float fDeltaTime );

	bool Load( CString sSoundFilePath );
	void Unload();

	void Play( bool bLoop = false );
	void Pause();
	void Stop();
	float GetLengthSeconds();
	float GetPositionSeconds();	// position of the most recent channel played
	bool SetPlaybackRate( float fScale );
	float GetPlaybackRate();
	bool IsPlaying();

protected:
	HSTREAM m_hStream;
	DWORD	m_dwOriginalFreq;
};


extern RageSoundStream*		MUSIC;	// global and accessable from anywhere in our program

#endif