/*
-----------------------------------------------------------------------------
 File: RandomStream.h

 Desc: Holds multiple sounds samples and can play a random sound easily.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#ifndef _RandomStream_H_
#define _RandomStream_H_


#include "RageSound.h"
#include "RageSoundStream.h"
#include "RageUtil.h"

class RandomStream
{
public:
	RandomStream();
	~RandomStream();

	virtual bool Load( CString sFilePath )
	{
		CString sDir, sFName, sExt;
		splitrelpath( sFilePath, sDir, sFName, sExt );

		sExt.MakeLower();

		if( sExt == "" )
			return LoadSoundDir( sFilePath );
		else if( sExt == "set" )
			return LoadRandomStream( sFilePath );
		else 
			return LoadSound( sFilePath );
	};

	void PlayRandom();
	void Pause();
	void Stop();

private:
	bool LoadSoundDir( CString sDir );
	bool LoadRandomStream( CString sSetFilePath );
	bool LoadSound( CString sSoundFilePath );


	CArray<RageSoundStream*, RageSoundStream*> m_pStreams;
	int m_iIndexLastPlayed;
};




#endif