#include "stdafx.h"
/*
-----------------------------------------------------------------------------
 File: TransitionStarWipe.cpp

 Desc: Black bands (horizontal window blinds) gradually close.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "RageUtil.h"

#include "TransitionFadeWipeWithLogo.h"
#include "ScreenDimensions.h"
#include "ThemeManager.h"


//#define RECTANGLE_WIDTH	20
//#define NUM_RECTANGLES	(SCREEN_WIDTH/RECTANGLE_WIDTH)
//#define FADE_RECTS_WIDE	(NUM_RECTANGLES/4)	// number of rects from fade start to fade end
const float FADE_RECT_WIDTH		=	SCREEN_WIDTH/2;


TransitionFadeWipeWithLogo::TransitionFadeWipeWithLogo()
{
	m_sprLogo.Load( THEME->GetPathTo(GRAPHIC_KEEP_ALIVE) );
	m_sprLogo.SetXY( CENTER_X, CENTER_Y );
}

void TransitionFadeWipeWithLogo::Update( float fDeltaTime )
{
	// hack:  Smooth out the big hickups.
	if( fDeltaTime > 0.2f)
		fDeltaTime = 0.02f;

	TransitionFadeWipe::Update( fDeltaTime );
}


void TransitionFadeWipeWithLogo::RenderPrimitives()
{
	TransitionFadeWipe::RenderPrimitives();

	bool bIsOpening = m_TransitionState == opening_left || m_TransitionState == opening_right;
	float fLogoAlpha = bIsOpening ? (1-m_fPercentThroughTransition)*3-2 : m_fPercentThroughTransition*3-2;
	m_sprLogo.SetDiffuseColor( D3DXCOLOR(1,1,1,fLogoAlpha) );
	m_sprLogo.Draw();
}


