#include "stdafx.h"
/*
-----------------------------------------------------------------------------
 File: TransitionStarWipe.cpp

 Desc: A burst of light from the center of the screen.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "RageUtil.h"

#include "TransitionStarburst.h"


#define SCREEN_WIDTH	640
#define SCREEN_HEIGHT	480
#define CENTER_X		(SCREEN_WIDTH/2)
#define CENTER_Y		(SCREEN_HEIGHT/2)

#define RECTANGLE_WIDTH	20
#define NUM_RECTANGLES	(SCREEN_WIDTH/RECTANGLE_WIDTH)
#define FADE_RECTS_WIDE	(NUM_RECTANGLES/3)	// number of rects from fade start to fade end



TransitionStarburst::TransitionStarburst()
{
//	m_sprStarburst.Load( THEME->GetPathTo("Textures\\Starburst.png" );
	m_sprStarburst.SetXY( CENTER_X, CENTER_Y );
	m_sprStarburst.SetZoom( 0.01f );
	m_sprStarburst.SetDiffuseColor( D3DXCOLOR(1,1,1,0) );
}

TransitionStarburst::~TransitionStarburst()
{

}

void TransitionStarburst::Update( float fDeltaTime )
{
	Transition::Update( fDeltaTime );
	m_sprStarburst.Update( fDeltaTime );
}

void TransitionStarburst::RenderPrimitives()
{
	switch( m_TransitionState )
	{
	case opening_right:
	case opening_left:
	case closing_right:
	case closing_left:
		m_sprStarburst.Draw();
		break;
	}


	FLOAT fPercentageOpaque;
	switch( m_TransitionState )
	{
	case opened:
		fPercentageOpaque = 0.0;
		break;
	case closed:
		fPercentageOpaque = 1.0;
		break;
	case opening_right:
	case opening_left:
		fPercentageOpaque = 1.0f - m_fPercentThroughTransition*2;
		if( fPercentageOpaque < 0.0f ) fPercentageOpaque = 0.0f;
		break;
	case closing_right:
	case closing_left:
		fPercentageOpaque = - 1.0f + m_fPercentThroughTransition*2 ;
		if( fPercentageOpaque < 0.0f ) fPercentageOpaque = 0.0f;
		break;
	}
/*
	m_Color.a = fPercentageOpaque;
	int alpha = (int)( fPercentageOpaque * 255 );
	SCREEN->DrawRect( CRect(0,0,SCREEN_WIDTH,SCREEN_HEIGHT), D3DCOLOR_RGBA(255,255,255,alpha) );
*/
}

void TransitionStarburst::OpenWipingRight()
{
	Transition::OpenWipingRight();

	m_sprStarburst.SetXY( CENTER_X, CENTER_Y );
	m_sprStarburst.SetZoom( 10.0f );
	m_sprStarburst.SetRotation( 4.0f );
	m_sprStarburst.SetDiffuseColor( D3DXCOLOR(1,1,1,1) );

//	m_sprStarburst.TweenTo( m_fTransitionTime, CENTER_X, CENTER_Y, 0.0f, 0.0f, D3DXCOLOR(1,1,1,0) );
}

void TransitionStarburst::OpenWipingLeft()
{
	OpenWipingRight();
}

void TransitionStarburst::CloseWipingRight()
{
	Transition::CloseWipingRight();

	m_sprStarburst.SetXY( CENTER_X, CENTER_Y );
	m_sprStarburst.SetZoom( 0.0f );
	m_sprStarburst.SetRotation( 0.0f );
	m_sprStarburst.SetDiffuseColor( D3DXCOLOR(1,1,1,0) );

//	m_sprStarburst.TweenTo( m_fTransitionTime, CENTER_X, CENTER_Y, 10.0f, 4.0f, D3DXCOLOR(1,1,1,1) ); 
}

void TransitionStarburst::CloseWipingLeft()
{
	CloseWipingRight();
}

