/*
-----------------------------------------------------------------------------
 File: WindowConfigurePads.h

 Desc: Where the player maps device input to pad input.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "Window.h"
#include "Sprite.h"
#include "BitmapText.h"
#include "PadInput.h"
#include "PrefsManager.h"
#include "GrayArrow.h"
#include "ColorArrow.h"


const int NUM_SLOTS_SHOWN = NUM_PAD_TO_DEVICE_SLOTS-1;

class WindowConfigurePads : public Window
{
public:
	WindowConfigurePads();
	virtual ~WindowConfigurePads();
	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();
	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage message );

private:
	void Left();
	void Right();
	void Up();
	void Down();
	void Back();
	void Next();

	void InitText();
	void InitGraphicalNames();
	void Refresh();


	int m_iCurPadNum;
	int m_iCurButton;
	int m_iCurSlot;	// 1 or 2

	bool m_bWaitingForPress;


	BitmapText	m_textTitle;
	BitmapText	m_textHelp;
	BitmapText	m_textError;
	float	m_fErrorDisplayCountdown;

	float		m_fFakeSongBeat;		// needed to tween the colors of arrows

	BitmapText	m_textName[NUM_PAD_BUTTONS];
	GrayArrow 	m_GrayArrowName[NUM_PAD_BUTTONS];


	BitmapText	m_textMappedTo[NUM_PADS][NUM_PAD_BUTTONS][NUM_SLOTS_SHOWN];
};

