/*
-----------------------------------------------------------------------------
 File: WindowEdit.h

 Desc: The music plays, the notes scroll, and the Player is pressing buttons.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "Window.h"
#include "Sprite.h"
#include "TransitionFade.h"
#include "BitmapText.h"
#include "Player.h"
#include "RandomSample.h"
#include "FocusingSprite.h"
#include "RageMusic.h"
#include "MotionBlurSprite.h"
#include "Background.h"
#include "GranularityIndicator.h"


class WindowEdit : public Window
{
public:
	WindowEdit();
	virtual ~WindowEdit();
	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();
	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );


protected:
	void OnSnapModeChange();

	Style			m_Style;
	PlayerOptions	m_PlayerOptions;
	Steps			m_Steps;

	Sprite			m_sprBackground;

	ColorArrowField			m_ColorArrowField;
	GranularityIndicator	m_GranularityIndicator;
	GrayArrows				m_GrayArrows;


	// keep track of where we are and what we're doing
	float			m_fTrailingBeat;	// this approaches m_fBeat
	float			m_fBeat;


	RandomSample		m_soundChangeLine;
	RandomSample		m_soundChangeSnap;

	TransitionFade	m_Fade;

	RageSoundSample	m_soundMusic;
};



