/*
-----------------------------------------------------------------------------
 File: WindowEditOptions.h

 Desc: Area for testing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "Window.h"
#include "BitmapText.h"
#include "TransitionFade.h"
#include "Rectangle.h"
#include "RandomSample.h"



class WindowEditOptions : public Window
{
public:
	WindowEditOptions();
	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();
	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );

	
	enum EditOptions{ OPTION_RETURN_TO_EDIT, OPTION_FINISHED_EDITING, NUM_OPTIONS };

protected:
	void BeforeChange();
	void AfterChange();

	void Left();
	void Right();
	void Up();
	void Down();
	void Back();
	void Next();

	EditOptions m_EditOption;

	TransitionFade  m_Fade;
	BitmapText		m_textOptions[NUM_OPTIONS];

	RandomSample m_soundSelect;
};

