/*
-----------------------------------------------------------------------------
 File: WindowIntroCovers.h

 Desc: Intro with some flash graphics.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "Window.h"
#include "Sprite.h"
#include "Banner.h"
#include "BitmapText.h"
#include "TransitionStarWipe.h"
#include "TransitionStarburst.h"
#include "TransitionFade.h"


#define NUM_CD_COVERS	9


class WindowIntroCovers : public Window
{
public:
	WindowIntroCovers();
	~WindowIntroCovers();
	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();
	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );
	virtual void Next();

	Sprite		m_CDCover[NUM_CD_COVERS];
	Sprite		m_sprBG;

	TransitionStarWipe	m_TransStars;
	TransitionStarburst m_Starburst;
	TransitionFade		m_Fade;
};

