/*
-----------------------------------------------------------------------------
 File: WindowMenu.h

 Desc: Base class for menu Windows.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/
#ifndef _WindowMenu_H_
#define _WindowMenu_H_



#include "Window.h"
#include "Sprite.h"
#include "BitmapText.h"
#include "RandomSample.h"
#include "TransitionFade.h"


const float MENU_TWEEN_TIME	=	0.30f;


class WindowMenu : public Window
{
public:
	WindowMenu( CString sBackgroundPath, CString sTopEdgePath, CString sHelpText );
	
	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );

	virtual void Back();
	virtual void Next();

	virtual void HandleWindowMessage( WindowMessage SM );

protected:
	void TweenOnScreen();
	void TweenOffScreen();

	Sprite	m_sprBG;
	Sprite	m_sprTopEdge;
	Sprite	m_sprBottomEdge;
	BitmapText	m_textHelp;

	RandomSample m_soundSwoosh;
	RandomSample m_soundBack;
};




#endif