/*
-----------------------------------------------------------------------------
 File: WindowMenuResults.h

 Desc: Shows the user their score after dancing has ended.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/


#include "Window.h"
#include "Sprite.h"
#include "Score.h"
#include "RandomStream.h"
#include "TransitionFadeWipeWithLogo.h"
#include "BitmapText.h"
#include "GradeDisplay.h"
#include "WindowMenu.h"
#include "Banner.h"


const int NUM_RESULT_LINES =	7;

class WindowMenuResults : public WindowMenu
{
public:
	WindowMenuResults();
	virtual ~WindowMenuResults();
	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();
	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );

	virtual void TweenOffScreen();
	virtual void Back();
	virtual void Next();

private:
	Banner			m_MiniBackground;
	Sprite			m_sprCategory[NUM_RESULT_LINES];
	BitmapText		m_textScores[NUM_RESULT_LINES][NUM_PLAYERS];
	BitmapText		m_textPercentages[NUM_RESULT_LINES][NUM_PLAYERS];

	Sprite			m_ScoreFrame[NUM_PLAYERS];
	BitmapText		m_TotalScore[NUM_PLAYERS];
	GradeDisplay	m_Grades[NUM_PLAYERS];
	BitmapText		m_textNewRecord[NUM_PLAYERS];

	bool m_bNewRecord[NUM_PLAYERS];

	RandomStream m_SoundResultComment;

	TransitionFadeWipeWithLogo m_wipe;
};



