/*
-----------------------------------------------------------------------------
 File: WindowMenuSelectMusic.h

 Desc: Select the game mode (single, versus, double).

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "Window.h"
#include "Sprite.h"
#include "BitmapText.h"
#include "TransitionFade.h"
#include "Rectangle.h"
#include "RandomStream.h"
#include "WindowMenu.h"
#include "Rectangle.h"
#include "TextBanner.h"
#include "BPMDisplay.h"
#include "ScreenDimensions.h"
#include "Grade.h"
#include "MusicWheel.h"
#include "StepsSelector.h"
#include "Banner.h"
#include "ScoreDisplayRolling.h"
#include "TipDisplay.h"
#include "TransitionInvisible.h"


class WindowMenuSelectMusic : public WindowMenu
{
public:
	WindowMenuSelectMusic();
	virtual ~WindowMenuSelectMusic();

	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );

	void TweenOnScreen();
	void TweenOffScreen();

	void Left();
	void Right();
	void UpRight();
	void Next();
	void Back();

protected:
	void BeforeMusicChange();
	void AfterMusicChange();
	void AfterStepsChange();
	void PlayMusicSample();

	void PlaySongSample();
	void SetSelection( int iIndexNewSelection );


	StepsSelector	m_StepsSelector;
	MusicWheel		m_MusicWheel;

	Banner		m_MiniBackground[2];	// front and back

	BPMDisplay				m_BPMDisplay;
	GradeDisplay			m_TopGrade[NUM_PLAYERS];
	ScoreDisplayRolling		m_TopScore[NUM_PLAYERS];
	TipDisplay				m_TipDisplay;
	BitmapText				m_textHoldForOptions;

	RandomStream m_soundSelect;
	RandomStream m_soundMusicComment;


	TransitionInvisible m_Fade;
};


