/*
-----------------------------------------------------------------------------
 File: WindowMenuSelectStyle.h

 Desc: Select the game mode (single, versus, double).

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "Window.h"
#include "Sprite.h"
#include "BitmapText.h"
#include "TransitionFade.h"
#include "Rectangle.h"
#include "RandomSample.h"
#include "WindowMenu.h"
#include "Rectangle.h"
#include "TransitionInvisible.h"


const int NUM_STYLE_DANCERS		=	7;	// single, versus dancers, double, couple dancers, solo
const int NUM_STYLE_PADS		=	5;


class WindowMenuSelectStyle : public WindowMenu
{
public:
	WindowMenuSelectStyle();
	virtual ~WindowMenuSelectStyle();

	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );

	void Left();
	void Right();
	void Next();
	void Back();
	void TweenOffScreen();
	void TweenOnScreen();

private:
	void BeforeChange();
	void AfterChange();

	
	Sprite	m_sprDancer[NUM_STYLE_DANCERS];
	Sprite	m_sprPad[NUM_STYLE_PADS];

	Sprite	m_sprStyleIcon;

	BitmapText	m_textExplanation1;
	BitmapText	m_textExplanation2;
	RectangleActor	m_rectCursor;

	RandomSample m_soundChange;
	RandomSample m_soundSelect;

	GameMode m_GameMode;


	TransitionInvisible m_Fade;
};


