/*
-----------------------------------------------------------------------------
 File: WindowPrompt.h

 Desc: Area for testing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "Window.h"
#include "BitmapText.h"
#include "TransitionFade.h"
#include "Rectangle.h"
#include "RandomSample.h"


enum PromptType{ PROMPT_OK, PROMPT_YES_NO };


const int NUM_QUESTION_LINES = 10;


class WindowPrompt : public Window
{
public:
	WindowPrompt( CString sText, PromptType pt, bool* pbAnswer = NULL );
	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();
	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );

protected:
	void Left();
	void Right();
	void Back();
	void Next();


	TransitionFade m_Fade;
	BitmapText		m_textTitle;
	BitmapText		m_textQuestion[NUM_QUESTION_LINES];
	RectangleActor	m_rectAnswerBox;
	BitmapText		m_textAnswer[2];	// "YES" or "NO"
	PromptType		m_PromptType;
	bool*			m_pbAnswer;		// true = "YES", false = "NO";

	RandomSample m_soundSelect;
};

