#include "stdafx.h"
/*
-----------------------------------------------------------------------------
 File: WindowSandbox.h

 Desc: Area for testing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/


#include "WindowSandbox.h"
#include "WindowManager.h"
#include "RageMusic.h"
#include "WindowTitleMenu.h"
#include "WindowMenuSelectMusic.h"
#include "ScreenDimensions.h"
#include "ThemeManager.h"
#include "Rectangle.h"


WindowSandbox::WindowSandbox()
{	
	m_rect.StretchTo( CRect((int)SCREEN_LEFT,(int)SCREEN_TOP,(int)SCREEN_RIGHT,(int)SCREEN_BOTTOM) );

	m_sprJudgement.Load( THEME->GetPathTo(GRAPHIC_JUDGEMENT) );
	m_sprJudgement.SetXY( CENTER_X, CENTER_Y );
	m_sprJudgement.TurnShadowOff();
	this->AddActor( &m_sprJudgement );


	m_Wipe.SetClosed();
	m_Wipe.OpenWipingRight( SM_None );
	//this->AddActor( &m_Wipe );


	m_sprite.Load( THEME->GetPathTo(GRAPHIC_FAILED) );
	m_sprite.SetXY( CENTER_X, CENTER_Y );
	m_sprite.SetZoom( 4 );
	m_sprite.SetDiffuseColor( D3DXCOLOR(1,1,1,0.4f) );
	m_sprite.BeginBlurredTweening( 1.0f, TWEEN_BIAS_END );
	m_sprite.SetTweenZoom( 0.5f );
	m_sprite.BeginTweeningQueued( 0.3f );
	m_sprite.SetTweenZoom( 1.1f );
	m_sprite.BeginTweeningQueued( 0.2f );
	m_sprite.SetTweenZoom( 1.0f );

	//this->AddActor( &m_sprite );
}


void WindowSandbox::Update( float fDeltaTime )
{
	Window::Update( fDeltaTime );

}

void WindowSandbox::RenderPrimitives()
{
	m_rect.Draw();
	Window::RenderPrimitives();

	//m_sprArrow.Draw();
	//for( int i=0; i<20; i++ )
	//	m_textMessage.Draw(); 
}

void WindowSandbox::Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI )
{

	m_Wipe.OpenWipingRight( SM_None );


	switch( PadI.button )
	{
	case BUTTON_LEFT:
		break;
	case BUTTON_RIGHT:
		break;
	case BUTTON_UP:
//		m_BlurTest.StartFocusing();
		break;
	case BUTTON_DOWN:
//		m_BlurTest.StartBlurring();
		break;
	case BUTTON_BACK:
		//WM->SetNewWindow( new WindowTitleMenu );
		return;
	}

//	m_sprBG.SetEffectCamelion( 5, D3DXCOLOR(1,0.8f,0.8f,1), D3DXCOLOR(1,0.2f,0.2f,1) );
}


void WindowSandbox::HandleWindowMessage( WindowMessage SM )
{
	switch( SM )
	{
	case SM_DoneClosingWipingLeft:
		break;
	case SM_DoneClosingWipingRight:
		break;
	case SM_DoneOpeningWipingLeft:
		break;
	case SM_DoneOpeningWipingRight:
		break;
	}
}