/*
-----------------------------------------------------------------------------
 File: WindowSynchronize.h

 Desc: The music plays, the notes scroll, and the Player is pressing buttons.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "Window.h"
#include "Sprite.h"
#include "TransitionFade.h"
#include "BitmapText.h"
#include "Player.h"
#include "RandomSample.h"
#include "FocusingSprite.h"
#include "RageMusic.h"
#include "MotionBlurSprite.h"
#include "Background.h"


class WindowSynchronize : public Window
{
public:
	WindowSynchronize();
	virtual ~WindowSynchronize();
	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();
	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );


protected:

	float GetColorArrowYPos( float fStepIndex, float fSongBeat );

	Song*			m_pSong;

	Background		m_Background;

	Player			m_Player;

	BitmapText		m_textDebug;
	BitmapText		m_textHelp;

	TransitionFade	m_Fade;

	RageSoundSample		m_soundMusic;
	RandomSample			m_soundAssistTick;
};



