/*
-----------------------------------------------------------------------------
 File: WindowSynchronizeMenu.h

 Desc: The main title screen and menu.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "WindowMenu.h"
#include "Sprite.h"
#include "ColorArrow.h"
#include "BitmapText.h"
#include "TransitionFadeWipeWithLogo.h"
#include "TransitionFade.h"
#include "RandomSample.h"
#include "Banner.h"
#include "TextBanner.h"
#include "RandomSample.h"
#include "TransitionInvisible.h"



class WindowSynchronizeMenu : public WindowMenu
{
public:
	WindowSynchronizeMenu();
	virtual ~WindowSynchronizeMenu();

	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );

private:
	void ReloadBanners();

	void Up();
	void Down();
	void Left();
	void Right();
	void Back();
	void Next();


	CArray<Song*, Song*> m_pSongs;
	int m_iSelection;	// index into m_pSongs

	Banner  m_Banner;
	TextBanner  m_TextBanner;
	Sprite  m_sprArrowLeft;
	Sprite  m_sprArrowRight;


	BitmapText m_textExplanation;

	TransitionFade		m_Fade;

	RandomSample m_soundChangeMusic;
	RandomSample m_soundSelect;

};



