//-----------------------------------------------------------------------------
// File: DXVer.cpp
//
// Desc: Windows code that calls GetDXVersion and displays the results.
// (C) Copyright 1995-2001 Microsoft Corp.  All rights reserved.
//
// Modified: Ben Nordstrom, checks and updates directx if needed.
//-----------------------------------------------------------------------------
#include <windows.h>
#include <tchar.h>




//-----------------------------------------------------------------------------
// External function-prototypes
//-----------------------------------------------------------------------------
extern DWORD GetDXVersion();




//-----------------------------------------------------------------------------
// Name: DXVersion()
// Desc: Checks to see if the DX version installed is 8.0 or greater, and if it
//		 isn't, it automatically downloads and installs from microsoft.com
//-----------------------------------------------------------------------------
bool DXVersion()
{
	bool bGoodVersion = false;

    TCHAR* strResult;
    DWORD  dwDXVersion = GetDXVersion();

    switch( dwDXVersion )
    {
        case 0x000: // no directx installed.
        case 0x100: // version 1.0 etc...
        case 0x200:
        case 0x300:
        case 0x500:
        case 0x600:
        case 0x601:
        case 0x700:
        case 0x800:
           strResult = _T("Click YES to get the latest version of DirectX from Microsoft." );
            break;
        case 0x801:
        default:
            strResult = _T("DirectX 8.1 or better installed" );
			bGoodVersion = true;
            break;
    }

    MessageBox( NULL, strResult, "DirectX 8.1 Needed:",
                MB_OK | MB_ICONINFORMATION );
    
    return bGoodVersion;
}



